package trivial;

import java.io.Serializable;


/**
 * 
 * @author Éric Lallet
 *
 */
class Anwser implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * player nickname.
	 */
	private String nickName;
	
	/**
	 * player answer. 
	 */
	private int anwserNum;
	
		
	
	/**
	 * 
	 * @param nickName
	 *               player nickname.
	 * @param anwserNum
	 *               player answer.
	 */
	Anwser(final String nickName, final int anwserNum) {
		this.nickName = nickName;
		this.anwserNum = anwserNum;
	}
	
	/**
	 * 
	 * @return
	 *        player nickName .
	 */
	public String getNickName() {
		return nickName;
	}

	/**
	 * 
	 * @param nickName
	 *        player nickName
	 *                
	 */
	public void setNickName(final String nickName) {
		this.nickName = nickName;
	}

	/**
	 * 
	 * @return
	 *        player answer.
	 */
	public int getAnwserNum() {
		return anwserNum;
	}

	/**
	 * 
	 * @param anwserNum
	 *                 player answer.
	 */
	public void setAnwserNum(final int anwserNum) {
		this.anwserNum = anwserNum;
	}


	

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + anwserNum;
		result = prime * result + ((nickName == null) ? 0 : nickName.hashCode());
		return result;
	}

	@Override
	public boolean equals(final Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (getClass() != obj.getClass()) {
			return false;
		}
		Anwser other = (Anwser) obj;
		if (anwserNum != other.anwserNum) {
			return false;
		}
		if (nickName == null) {
			if (other.nickName != null) {
				return false;
			}
		} else if (!nickName.equals(other.nickName)) {
			return false;
		}
		return true;
	}

	
	
	
	
	
};
